function [z] = exp_gen_data(campaign)
% ----------------------------------------------------------------------
% DESCRIPTION
% 
% This function sets the experimental results from each experimental
% configuration. In this case there is a single result for each
% experimental configuration: the value at the measurement point. 
%
% This function can contain any number of measurements at a given
% measurement point. 
%
% ----------------------------------------------------------------------
% NOMENCLATURE
%
% campaign          description of the experimental campaign    
% z{:}              structure containing the experimental result at each configuration: param{1} to param{M}. 
%
% ----------------------------------------------------------------------
% You can add your own campaigns below

switch campaign
    case {'9_points_equally_spaced'}
        z{1} = -0.15;
        z{2} = -0.05;
        z{3} =  0.05; 
        z{4} = +0.10; 
        z{5} = +0.05;
        z{6} = -0.10;
        z{7} = +0.05;
        z{8} =  0.00; 
        z{9} = +0.15;
    case {'5_points_equally_spaced'}
        z{1} = -0.15;
        z{2} = -0.05;
        z{3} =  0.00; 
        z{4} = +0.10; 
        z{5} = +0.05;
    case 'MacKay_28_2'
        z{1} = 8.0;
        z{2} = 10.0;
        z{3} = 11.0; 
    otherwise
        disp('CAMPAIGN NOT SPECIFIED IN exp_gen_data.m')
end

end
