function [han_E,han_V] = gen_errorpatch(x,E,V,col)
% ---------------------------------------------------------------------------
% gen_errorpatch Plot error bars as a patch underneath a line
%   [han_E,han_v] = generrorpatch(x,E,V,col) plots the line (x,E) and the
%   patch between (x,E-2*sqrt(V)) and (x,E+2*sqrt(V)). It returns the
%   handle han_E for the line and han_V for the patch. 'col' is the colour
%   of the line and patch. 
%
%   If 
%     E represents the expected value
%     V represents the expected value
%   then
%     the patch shows E +/- two standard devations
% ---------------------------------------------------------------------------

% Plot patch to be +/- 2 standard deviations
han_V = fill([x, fliplr(x)], [E+2*sqrt(V),fliplr(E-2*sqrt(V))], col); set(han_V,'FaceAlpha',0.1,'EdgeColor',col)
% Plot line
han_E = plot(x,E,'-','Color',col,'LineWidth',2);

end
